// Dialog.cpp : Определяет главный класс приложения
//

// Включаемые файлы 
#include "stdafx.h"
#include "Dialog.h"
#include "DialogDlg.h"

// Для отладочной версии приложения включается дополнительные 
// определения
#ifdef _DEBUG
	#define new DEBUG_NEW
	#undef THIS_FILE
	static char THIS_FILE[] = __FILE__;
#endif

//////////////////////////////////////////////////////////////
// CDialogApp
BEGIN_MESSAGE_MAP(CDialogApp, CWinApp)
	//{{AFX_MSG_MAP(CDialogApp)

	// ClassWizard размещает в данном блоке макрокоманды для 
	// обработки сообщений. Не изменяйте содержимое этого блока 
	// вручную

	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

//////////////////////////////////////////////////////////////
// Конструктор класса CDialogApp 

CDialogApp::CDialogApp()
{
	// TODO: здесь вы можете добавить собственный код
}

//////////////////////////////////////////////////////////////
// Создаем один объект класса CDialogApp. Это будет главный 
// объект приложения

CDialogApp theApp;

//////////////////////////////////////////////////////////////
// Инициализация приложения 

BOOL CDialogApp::InitInstance()
{

// Стандартная инициализация приложения. Вы можете сократить 
// размер выполняемого модуля приложения, если удалите 
// инициализацию, которая вам не нужна

#ifdef _AFXDLL
	Enable3dControls();
#else
	Enable3dControlsStatic();
#endif

	CDialogDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Здесь вы можете разместить код приложения, 
		// который вызывается, если пользователь нажмет кнопку OK 
		// в диалоговой панели приложения
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Здесь вы можете разместить код приложения, 
		// который вызывается, если пользователь нажмет кнопку 
		// Cancel в диалоговой панели приложения
	}

	// Так как диалоговая панель закрыта, возвращаем значение 
	// FALSE чтобы завершить приложение 
	return FALSE;
}
